### nodejs-init

### Documentation
1.  [Installation](#installation)
2.  [Usage](#usage)
4.  [Structure](#structure)

## [Installation](#installation)

<a name="installation"></a>

Get started with nodejs-init by installing the node module with yarn or npm:

```
npm install -g nodejs-init
```
or
```
yarn add global nodejs-init
```

## [Usage](#usage)

<a name="usage"></a>

```
nodejs-init <project-name>
```

## [Structure](#structure)

<a name="structure"></a>

```bash
  .
  ├──package.json
  ├──index.js
  ├──debugging:
  │   └──index.js
  └──src:
      ├──assets:
      │   ├──package.json
      │   ├──index.js
      │   └──data:
      │       ├── ...
      │       └──index.js
      ├──configs:
      │   ├──package.json
      │   └──index.js
      ├──routers:
      │   ├──package.json
      │   └───index.js
      ├──db:
      │   ├──package.json
      │   ├──index.js
      │   ├──models:
      │   │   ├── ...
      │   │   └──index.js
      │   ├──migrations:
      │   │   ├── ...
      │   │   └──index.js
      │   └──seeds:
      │       ├── ...
      │       └──index.js
      ├──core:
      │   ├── ...
      │   ├──package.json
      │   └───index.js
      ├──utils:
      │   ├──package.json
      │   ├──index.js
      │   ├──strings.js
      │   ├──constants.js
      │   ├──functions.js       
      │   └──types.js
      └──app.js
```